## qca2-plugin-gnupg 2.0.0~beta3

=== CMakeLists.txt ===
# QCA GnuPG

# we don't moc gpgporc/sprocess.cpp
SET(QCA_GNUPG_MOC_SOURCES qca-gnupg.cpp gpgop.cpp gpgproc/gpgproc.cpp)

MY_AUTOMOC( QCA_GNUPG_MOC_SOURCES )

QT4_WRAP_CPP( EXTRA_GNUPG_SOURCES gpgop.h )
QT4_WRAP_CPP( EXTRA_GNUPG_SOURCES gpgproc/gpgproc.h )
QT4_WRAP_CPP( EXTRA_GNUPG_SOURCES gpgproc/sprocess.h )

ADD_LIBRARY(qca-gnupg SHARED ${QCA_GNUPG_MOC_SOURCES} gpgproc/sprocess.cpp ${EXTRA_GNUPG_SOURCES} )
INCLUDE_DIRECTORIES(gpgproc)
TARGET_LINK_LIBRARIES(qca-gnupg ${QT_QTCORE_LIBRARY} qca)

#TODO perhaps search adavapi on win32
IF (WIN32)
  TARGET_LINK_LIBRARIES(qca-gnupg advapi32)
ENDIF (WIN32)

INSTALL(TARGETS qca-gnupg LIBRARY DESTINATION ${qca_PLUGINSDIR})

## qca2-plugin-gnupg 2.0.0~beta3-1-maemo0

=== debian/changelog ===
qca2-plugin-gnupg (2.0.0~beta3-1-maemo0) unstable; urgency=low

  * Inital port

 -- Evgeniy Degtyarev <degtep@gmail.com>  Fri, 13 Apr 2012 10:17:05 +0600

qca2-plugin-gnupg (2.0.0~beta3-1) unstable; urgency=low

  * New Upstream Version (Closes: Bug#525765)
  * Disable buggy qt_buggy_fsw check
  * Update standards-version

 -- Jan Niehusmann <jan@debian.org>  Thu, 12 Mar 2009 20:02:05 +0100

qca2-plugin-gnupg (0.1~20070904-2) unstable; urgency=low

  * Use qmake.mk instead of makefile.mk (Closes: Bug#445941) 
  * Upload to unstable

 -- Jan Niehusmann <jan@debian.org>  Sat, 27 Oct 2007 19:12:30 +0200

qca2-plugin-gnupg (0.1~20070904-1) experimental; urgency=low

  * New upstream release

 -- Jan Niehusmann <jan@debian.org>  Sun, 07 Oct 2007 15:31:36 +0200

qca2-plugin-gnupg (0.1~20070706-1) experimental; urgency=low

  * Initial release
  * Closes: Bug#435703

 -- Jan Niehusmann <jan@debian.org>  Mon, 06 Aug 2007 11:41:08 +0200

=== debian/control ===
Source: qca2-plugin-gnupg
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Jan Niehusmann <jan@debian.org>
Build-Depends: cdbs, debhelper (>= 5), autotools-dev, libqca2-dev (>=2.0.0)
Standards-Version: 3.8.1

Package: libqca2-plugin-gnupg
Architecture: any
Depends: gnupg, ${shlibs:Depends}, ${misc:Depends}, libqt4-core (>=4.4.0)
Description: QCA gnupg plugin for libqca2
 This plugin provides features based on gnupg to qca2.

=== debian/rules ===
#!/usr/bin/make -f
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

DEB_MAKE_CLEAN_TARGET    = clean
DEB_MAKE_BUILD_TARGET    = all
DEB_MAKE_INSTALL_TARGET  = install INSTALL_ROOT=$(CURDIR)/debian/tmp/
DEB_DH_INSTALL_SOURCEDIR = debian/tmp
# no check for this software
# DEB_MAKE_CHECK_TARGET   =

common-configure-arch common-configure-indep:: common-configure-impl

common-configure-impl:: $(DEB_BUILDDIR)/Makefile

$(DEB_BUILDDIR)/Makefile:
	cd $(DEB_BUILDDIR) && ./configure

clean::
	rm -f $(DEB_BUILDDIR)/Makefile $(DEB_BUILDDIR)/.qmake.internal.cache
	rm -f $(DEB_BUILDDIR)/lib/libqca-gnupg.so*
	rm -f $(DEB_BUILDDIR)/conf.log
	rm -f $(DEB_BUILDDIR)/conf.pri
